Bug 18797 - t/db_dependent/rollingloans.t is skipping
Summary: t/db_dependent/rollingloans.t is skipping
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: M. Tompsett
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-06-13 16:27 UTC by M. Tompsett
Modified: 2018-06-04 20:15 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18797: Make rollingloans test useful (2.42 KB, patch)
2018-03-17 02:27 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 18797: Make rollingloans test useful (2.52 KB, patch)
2018-03-21 12:54 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 18797: Create the biblioitem entry (1.18 KB, patch)
2018-03-26 20:11 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description M. Tompsett 2017-06-13 16:27:29 UTC
t/db_dependent/rollingloans.t is need of a refactor using TestBuilder to correct its current lack of usefulness.
Comment 1 Marcel de Rooy 2017-08-10 06:47:36 UTC
Looks good to me LOL

ok 1 # skip Missing test borrower or item, skipping tests
ok 2 # skip Missing test borrower or item, skipping tests
ok 3 # skip Missing test borrower or item, skipping tests
ok 4 # skip Missing test borrower or item, skipping tests
ok 5 # skip Missing test borrower or item, skipping tests
ok 6 # skip Missing test borrower or item, skipping tests
ok 7 # skip Missing test borrower or item, skipping tests
ok 8 # skip Missing test borrower or item, skipping tests
Comment 2 Jonathan Druart 2017-08-10 14:36:29 UTC
Marcel, yes that is the problem. The tests are never executed, data are not created.
Comment 3 M. Tompsett 2018-03-17 02:27:26 UTC
Created attachment 73065 [details] [review]
Bug 18797: Make rollingloans test useful

TEST PLAN
---------
1) Run the following commands on a kohadevbox:
    kshell
    prove -v t/db_dependent/rollingloans.t
    exit
   -- all the tests were skipped, not useful!
2) Apply this patch
3) Redo step 1
   -- all the tests run
4) Run qa test tools
Comment 4 Marcel de Rooy 2018-03-21 12:54:12 UTC
Created attachment 73137 [details] [review]
Bug 18797: Make rollingloans test useful

TEST PLAN
---------
1) Run the following commands on a kohadevbox:
    kshell
    prove -v t/db_dependent/rollingloans.t
    exit
   -- all the tests were skipped, not useful!
2) Apply this patch
3) Redo step 1
   -- all the tests run
4) Run qa test tools

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 5 Marcel de Rooy 2018-03-21 12:55:22 UTC
Combining SO/QA for simple unit test improvement
Comment 6 Jonathan Druart 2018-03-26 20:11:49 UTC
Created attachment 73294 [details] [review]
Bug 18797: Create the biblioitem entry

We need that since bug 19943
Comment 7 Jonathan Druart 2018-03-26 20:35:14 UTC
Pushed to master for 18.05, thanks to everybody involved!